Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 972629 - Review Request: sugar-falabracman - Learning words by collecting all the letters in the right order
Summary: Review Request: sugar-falabracman - Learning words by collecting all the lett...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2013-06-10 09:21 UTC by Danishka Navin
Modified: 2015-12-20 13:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Danishka Navin 2013-06-10 09:21:31 UTC
Spec URL: http://snavin.fedorapeople.org/packages/sugar-falabracman/sugar-falabracman.spec

SRPM URL: http://snavin.fedorapeople.org/packages/sugar-falabracman/sugar-falabracman-1-1.fc18.src.rpm

Description: 

Help Falabracman learn some words, by collecting all the letters in the right order. But... be very careful not to fall into a lake.

Fedora Account System Username: snavin

Comment 1 Danishka Navin 2013-06-10 09:23:04 UTC
Appreciate guidance on fixing remaining rpmlint issues.

Comment 2 Danishka Navin 2013-06-10 10:05:44 UTC
Fixed all rpmlint errors 

Two rpmlint warning remains but could not fixed with %find_lang 

sugar-falabracman.noarch: W: file-not-in-%lang /usr/share/sugar/activities/falabracman.activity/data/locales/es_AR/LC_MESSAGES/falabracman.mo
sugar-falabracman.noarch: W: file-not-in-%lang /usr/share/sugar/activities/falabracman.activity/data/locales/pt_BR/LC_MESSAGES/falabracman.mo




Spec URL: http://snavin.fedorapeople.org/packages/sugar-falabracman/sugar-falabracman.spec

SRPM URL: http://snavin.fedorapeople.org/packages/sugar-falabracman/sugar-falabracman-1-2.fc18.src.rpm

Comment 3 Mario Blättermann 2013-06-11 18:56:19 UTC
Scratch build fails for Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5493483

From build.log:

error: Directory not found: /builddir/build/BUILDROOT/sugar-falabracman-1-2.fc20.noarch/usr/share/sugar/activities/falabracman.activity

That's strange, I was able to build it locally without any changes, just installed the dependencies python2-devel and sugar-toolkit-gtk3 before. But although your package is marked as noarch, it will be built in the folder /home/mariobl/rpmbuild/BUILDROOT/sugar-falabracman-1-2.fc18.x86_64.

I stumbled upon another problem:

WARNING:root:Missing po/ dir, cannot build_locale

This means find_lang is unable to detect data/locale as the folder with translations. We don't have po files at all, only the mo files which are already processed. In this case, it could be sufficient to install the mo files directly while dropping find_lang. However, you should report this upstream to get po files in the next version.


Note You need to log in before you can comment on or make changes to this bug.